<?php
$Permissoes = User::getUser(true);
if(!$Permissoes){
     User::blockAction("Você não tem permissão para acessar esta tela");
}
class ArquivosController extends GxController {

    public function actionDelete($id) {
    	$arquivo = $this->loadModel($id, 'Arquivos');
    	$info = $arquivo->Attributes;
    	if($arquivo->delete()) {
            Yii::app()->user->setFlash('success', 'Arquivo deletado com sucesso.');
        } else {
            Yii::app()->user->setFlash('error', 'Houve um erro ao tentar deletar o arquivo, por favor tente novamente.');
        }

		$this->redirect(array('clientes/view&id='.$info['ARQ_FOREIGNKEY']));
    }

    public function actionInputs($maxFileSize = 15360000) {
        $this->layout = false;
        $this->render('_inputs', ['maxFileSize' => $maxFileSize]);
    }

}